function $AdfIE11EditingAgent$$() {
  this.Init();
}
$goog$exportSymbol$$("AdfIE11EditingAgent", $AdfIE11EditingAgent$$);
$AdfObject$$.$createSubclass$($AdfIE11EditingAgent$$, $AdfIEEditingAgent$$);
$AdfIE11EditingAgent$$.prototype.$insertHtmlAtSelection$ = function $$AdfIE11EditingAgent$$$$$insertHtmlAtSelection$$($inlineFrame$$46$$, $htmlFragment$$2$$) {
  if ("TEXTAREA" == $inlineFrame$$46$$.nodeName || "INPUT" == $inlineFrame$$46$$.nodeName) {
    var $div$$1_newStart$$1_nodes$$4$$ = $inlineFrame$$46$$.selectionStart + $htmlFragment$$2$$.length;
    $inlineFrame$$46$$.value = $inlineFrame$$46$$.value.substr(0, $inlineFrame$$46$$.selectionStart) + $htmlFragment$$2$$ + $inlineFrame$$46$$.value.substr($inlineFrame$$46$$.selectionEnd);
    $inlineFrame$$46$$.selectionStart = $div$$1_newStart$$1_nodes$$4$$;
    $inlineFrame$$46$$.selectionEnd = $div$$1_newStart$$1_nodes$$4$$;
  } else {
    var $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$ = this.$getSelectionRange$($inlineFrame$$46$$);
    if (null == $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$) {
      $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$ = this.$getInlineFrameDocument$($inlineFrame$$46$$);
      $div$$1_newStart$$1_nodes$$4$$ = $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.createElement("div");
      $div$$1_newStart$$1_nodes$$4$$.innerHTML = $htmlFragment$$2$$;
      for (var $div$$1_newStart$$1_nodes$$4$$ = $div$$1_newStart$$1_nodes$$4$$.childNodes, $i$$76_nodeCount$$1$$ = $div$$1_newStart$$1_nodes$$4$$.length, $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$ = $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.body, $i$$76_nodeCount$$1$$ = $i$$76_nodeCount$$1$$ - 1;0 <= $i$$76_nodeCount$$1$$;$i$$76_nodeCount$$1$$--) {
        var $newNode$$2$$ = $div$$1_newStart$$1_nodes$$4$$[$i$$76_nodeCount$$1$$];
        $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.insertBefore($newNode$$2$$, $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.firstChild);
      }
    } else {
      0 < $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.toString().length && $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.deleteContents();
      $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.cloneRange();
      $div$$1_newStart$$1_nodes$$4$$ = $inlineFrame$$46$$.contentDocument.createElement("div");
      $div$$1_newStart$$1_nodes$$4$$.innerHTML = $htmlFragment$$2$$;
      for (var $div$$1_newStart$$1_nodes$$4$$ = $div$$1_newStart$$1_nodes$$4$$.childNodes, $i$$76_nodeCount$$1$$ = $div$$1_newStart$$1_nodes$$4$$.length, $lastNode$$1$$ = null, $i$$76_nodeCount$$1$$ = $i$$76_nodeCount$$1$$ - 1;0 <= $i$$76_nodeCount$$1$$;$i$$76_nodeCount$$1$$--) {
        $newNode$$2$$ = $div$$1_newStart$$1_nodes$$4$$[$i$$76_nodeCount$$1$$], null == $lastNode$$1$$ && ($lastNode$$1$$ = $newNode$$2$$), $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.insertNode($newNode$$2$$);
      }
      null != $lastNode$$1$$ && ($inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.selectNode($lastNode$$1$$), $inlineFrameBody_inlineFrameDoc_selectionRange$$4$$.setStartAfter($lastNode$$1$$));
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIE11EditingAgent.prototype.insertHtmlAtSelection", {$insertHtmlAtSelection$:$AdfIE11EditingAgent$$.prototype.$insertHtmlAtSelection$});
$AdfIE11EditingAgent$$.prototype.$getDefaultContent$ = function $$AdfIE11EditingAgent$$$$$getDefaultContent$$() {
  return "\x3cP\x3e\x3cBR\x3e\x3c/P\x3e";
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIE11EditingAgent.prototype.getDefaultContent", {$getDefaultContent$:$AdfIE11EditingAgent$$.prototype.$getDefaultContent$});
$AdfIE11EditingAgent$$.prototype.$IsNodeWrappingRange$ = function $$AdfIE11EditingAgent$$$$$IsNodeWrappingRange$$($range$$10$$, $node$$33$$) {
  return $AdfEditingAgent$$.prototype.$IsNodeWrappingRange$.call(this, $range$$10$$, $node$$33$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIE11EditingAgent.prototype.IsNodeWrappingRange", {$IsNodeWrappingRange$:$AdfIE11EditingAgent$$.prototype.$IsNodeWrappingRange$});
$AdfIE11EditingAgent$$.prototype.$getSelectionRange$ = function $$AdfIE11EditingAgent$$$$$getSelectionRange$$($inlineFrame$$47_selection$$9$$) {
  return ($inlineFrame$$47_selection$$9$$ = this.$_getWindowSelection$($inlineFrame$$47_selection$$9$$)) && 0 < $inlineFrame$$47_selection$$9$$.rangeCount ? $inlineFrame$$47_selection$$9$$.getRangeAt(0) : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIE11EditingAgent.prototype.getSelectionRange", {$getSelectionRange$:$AdfIE11EditingAgent$$.prototype.$getSelectionRange$});
$AdfIE11EditingAgent$$.prototype.setSelectionRange = function $$AdfIE11EditingAgent$$$$setSelectionRange$($inlineFrame$$48$$, $range$$11$$) {
  var $selection$$10$$ = this.$_getWindowSelection$($inlineFrame$$48$$);
  $selection$$10$$.removeAllRanges();
  $selection$$10$$.addRange($range$$11$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIE11EditingAgent.prototype.setSelectionRange", {setSelectionRange:$AdfIE11EditingAgent$$.prototype.setSelectionRange});
$AdfIE11EditingAgent$$.prototype.$_getWindowSelection$ = function $$AdfIE11EditingAgent$$$$$_getWindowSelection$$($inlineFrame$$49$$) {
  return this.$getInlineFrameDocument$($inlineFrame$$49$$).getSelection();
};
$AdfIE11EditingAgent$$.prototype.$getSelectionRangeString$ = function $$AdfIE11EditingAgent$$$$$getSelectionRangeString$$($selectionRange$$5$$) {
  return $selectionRange$$5$$.toString();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIE11EditingAgent.prototype.getSelectionRangeString", {$getSelectionRangeString$:$AdfIE11EditingAgent$$.prototype.$getSelectionRangeString$});
